Subject: bug#6337: 24.0.50; doc of define-minor-mode incomplete wrt mode hooks

From: Stefan Monnier <[email-masked]>
Date: Wed, 02 Jun 2010 21:56:30 -0400

> The doc (doc string and Elisp manual) speaks about the MODE-hook, where
> MODE is the name of the minor mode.  But it does not mention that there
> is also a `MODE-on-hook' and a `MODE-off-hook'.  That is, if you define
> those hook variables they to will be processed by the mode command.

They're only supported for historical reasons.  We could/should probably
get rid of them.

        Stefan